package com.apobates.forum.thrones.admin.controller.form;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;

/**
 * 栏目(原生的版块组)的表单
 * @author xiaofanku
 * @since 20200603
 */
public class SectionForm extends ActionForm {
    @NotBlank(message="{NotBlank.SectionForm.title}")
    private String title;
    @NotBlank(message="{NotBlank.SectionForm.direct}")
    @Size(min=4, max=19, message="{Size.SectionForm.direct}")
    @Pattern(regexp = "^[A-Za-z0-9]+$", message="{Pattern.SectionForm.direct}")
    private String direct;
    @NotBlank(message="{NotBlank.SectionForm.description}")
    private String description;
    
    public String getTitle() {
        return title;
    }
    
    public void setTitle(String title) {
        this.title = title;
    }
    
    public String getDirect() {
        return direct;
    }
    
    public void setDirect(String direct) {
        this.direct = direct;
    }
    
    public String getDescription() {
        return description;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }
}